import { CallApiExtraOptions, CallApiResultErrorVariant, HTTPError, PossibleHTTPError, PossibleJavaScriptError, PossibleValidationError, ValidationError } from "../common-4wwVi8vR.js";

//#region src/utils/common.d.ts

type ToQueryStringFn = {
  (params: CallApiExtraOptions["query"]): string | null;
  (params: Required<CallApiExtraOptions>["query"]): string;
};
declare const toQueryString: ToQueryStringFn;
//#endregion
//#region src/utils/guards.d.ts
declare const isHTTPError: <TErrorData>(error: CallApiResultErrorVariant<TErrorData>["error"] | null) => error is PossibleHTTPError<TErrorData>;
declare const isHTTPErrorInstance: <TErrorData>(error: unknown) => error is HTTPError<TErrorData>;
declare const isValidationError: (error: CallApiResultErrorVariant<unknown>["error"] | null) => error is PossibleValidationError;
declare const isValidationErrorInstance: (error: unknown) => error is ValidationError;
declare const isJavascriptError: (error: CallApiResultErrorVariant<unknown>["error"] | null) => error is PossibleJavaScriptError;
//#endregion
export { isHTTPError, isHTTPErrorInstance, isJavascriptError, isValidationError, isValidationErrorInstance, toQueryString };
//# sourceMappingURL=index.d.ts.map